Bug report #11495

it is not possible to select the extent of another layer in the Modeler

Added by Filipe Dias about 5 years ago. Updated over 4 years ago.

Status:Rejected
Priority:Normal
Assignee:Victor Olaya
Category:Processing/Modeller
Affected QGIS version:master Regression?:No
Operating System: Easy fix?:No
Pull Request or Patch supplied:No Resolution:wontfix
Crashes QGIS or corrupts data:No Copied to github as #:19765

Description

It is not possible to select the extent of another layer for "clip vector by extent" and "clip raster by extent" in the Modeler. This doesn't happen when this algs are used in the toolbox.

I'm not sure whether this is a bug or a limitation.

History

#1 Updated by Alexander Bruy almost 5 years ago

  • Target version set to Future Release - High Priority

This also affects all other tools that accept extent as input parameter. As result it is almost impossible to create models that involves such tools.

#2 Updated by Giovanni Manghi almost 5 years ago

  • Affected QGIS version changed from 2.4.0 to master
  • Subject changed from Clip vector by extent and clip raster by extent: it is not possible to select the extent of another layer in the Modeler to it is not possible to select the extent of another layer in the Modeler

#3 Updated by Filipe Dias almost 5 years ago

If it's not possible to fix this before QGIS 2.8 is released I would suggest removing this option

#4 Updated by Alexander Bruy over 4 years ago

  • Resolution set to wontfix
  • Status changed from Open to Rejected

There are special algorithms in modeler for this: "Vector layer bounds" and "Raster layer bounds" from "Modeler-only tools"

Also available in: Atom PDF